Article ID: 9586, created on Jan 17, 2011, last review on Apr 16, 2012

  • Applies to:
  • Plesk 10.0.x for Linux/Unix

Symptoms

In Parallels Plesk Panel 10.0.1 installed on RedHat 4 OS try upgrading any component through Autoinstaller in Parallels Plesk interface. The following error is shown: 
 
There was an error downloading: http://autoinstall.plesk.com/PSA_10.0.1/dist-rpm-RedHat-el4-i386//headers/pp-sitebuilder-default-templates-0-5.0.0-33387.10092415.noarch.hdr 
There was an error downloading: http://autoinstall.plesk.com/PSA_10.0.1/dist-rpm-RedHat-el4-i386//headers/pp-sitebuilder-default-templates-0-5.0.0-33387.10092415.noarch.hdr 
There was an error downloading: http://autoinstall.plesk.com/PSA_10.0.1/dist-rpm-RedHat-el4-i386//headers/pp-sitebuilder-default-templates-0-5.0.0-33387.10092415.noarch.hdr 
There was an error downloading: http://autoinstall.plesk.com/PSA_10.0.1/dist-rpm-RedHat-el4-i386//headers/pp-sitebuilder-default-templates-0-5.0.0-33387.10092415.noarch.hdr 
There was an error downloading: http://autoinstall.plesk.com/PSA_10.0.1/dist-rpm-RedHat-el4-i386//headers/pp-sitebuilder-default-templates-0-5.0.0-33387.10092415.noarch.hdr 
An error has occurred: 
exceptions.UnboundLocalError 
See /var/log/up2date for more information 
Error: The up2date utility failed to install the required packages. 
Attention! Your software might be inoperable. 
Please, contact product technical support.

Resolution

For fixing this issue you can use following workarounds:

Workaround 1:
Edit /etc/sysconfig/rhn/sources  file for use different IDs for sources added by Parallels Installer.
Need to edit between component selection and installation process start.


Workaround 2:
disable up2date: Edit  file /root/.autoinstallerrc
ALLOW_TO_USE_UP2DATE="no"

b21de1858ad3ec50d5613195a77434ab a914db3fdc7a53ddcfd1b2db8f5a1b9c 29d1e90fd304f01e6420fbe60f66f838 dd0611b6086474193d9bf78e2b293040 56797cefb1efc9130f7c48a7d1db0f0c

Email subscription for changes to this article
Save as PDF